%%
clear; close all; clc;

%% Open the project
simulinkproject('./');

%% Initialization
% Initialize the perturbations
run init_perturbations.m

% Initialize all the stages parameters
run init_data.m

%% Demonstration of displacement of all the stages
run demonstration_main.m

%% Identification
open id_main.m

%% Active Damping Control
open act_damp_main.m

%% Control With the Undamped System
open control_main.m

%% HAC-LAC Control
open hac_lac_main.m