%%
clear; close all; clc;

%% Load the identified transfer functions
load('./mat/G.mat', 'G_light_vc', 'G_light_pz', 'G_heavy_vc', 'G_heavy_pz');

%% Load Configuration file
load('./mat/config.mat', 'save_fig', 'freqs');

%%
s = tf('s');

%%
% sisotool(-G_heavy_pz.G_iff('Fm1', 'F1')/s)

K_iff_light_vc = 48/s*tf(eye(6));
K_iff_light_pz = 1500/s*tf(eye(6));
K_iff_heavy_vc = 20/s*tf(eye(6));
K_iff_heavy_pz = 535/s*tf(eye(6));

%%
save('./mat/K_iff_crit.mat', 'K_iff_light_vc', 'K_iff_light_pz', 'K_iff_heavy_vc', 'K_iff_heavy_pz');