%%
clear; close all; clc;

%%
s = tf('s');

%% Ground Motion
Wxg = 1e-5*(s/(2e2)^(1/3) + 2*pi*0.1)^3/(s + 2*pi*0.1)^3;
Wxg = Wxg*(s/(0.5e6)^(1/3) + 2*pi*10)^3/(s + 2*pi*10)^3;
Wxg = Wxg/(1+s/(2*pi*2000));

save('./mat/weight_Wxg.mat', 'Wxg');

%% Sensor Noise
Wn = tf(1e-12);

save('./mat/weight_Wn.mat', 'Wn');
