%% Script that is run just before
% the simulation is started
% Load all the data used for the simulation
load('./mat/sim_conf.mat', 'sim_conf');

%% Load SolidWorks Data
load('./mat/solids.mat', 'solids');

%% Load data of each stage
load('./mat/stages.mat', 'ground', 'granite', 'ty', 'ry', 'rz', 'micro_hexapod', 'axisc', 'nano_hexapod', 'mirror', 'sample');

%% Load Signals Applied to the system
load('./mat/inputs.mat', 'inputs');

%% Load Controller
load('./mat/controller.mat', 'K');
load('./mat/K_iff.mat', 'K_iff');
