function [ty] = initializeTy()
    %%
    ty = struct();

    ty.m = 250; % [kg]

    ty.k.ax  = 1e7/4; % Axial Stiffness for each of the 4 guidance (y) [N/m]
    ty.k.rad = 9e9/4; % Radial Stiffness for each of the 4 guidance (x-z) [N/m]

    ty.c.ax  = 100*(1/5)*sqrt(ty.k.ax/ty.m);
    ty.c.rad = 100*(1/5)*sqrt(ty.k.rad/ty.m);

    %% Save
    save('./mat/stages.mat', 'ty', '-append');
end
